Page MenuHomePhabricator

VisualEditor REL1_23 is not distributed by ExtensionDistributor
Closed, ResolvedPublic0 Estimate Story Points

Description

On MediaWiki.org, the branch REL1_23 of VisualEditor extension (currently 9883566) is a 404 error. No issue on other branches.

Reported on https://www.mediawiki.org/wiki/Topic:Tgt1ga10ut5w43v6

Event Timeline

Seb35 created this task.Jan 11 2017, 12:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 11 2017, 12:56 AM
2017-01-11 01:12:04,947 INFO:Creating REL1_23 for VisualEditor
2017-01-11 01:12:06,182 ERROR:Traceback (most recent call last):
  File "/srv/extdist/nightly.py", line 259, in run
    self.update_extension(repo)
  File "/srv/extdist/nightly.py", line 172, in update_extension
    self.shell_exec(['git', 'submodule', 'update', '--init'])
  File "/srv/extdist/nightly.py", line 137, in shell_exec
    return subprocess.check_output(args, **kwargs)
  File "/usr/lib/python2.7/subprocess.py", line 573, in check_output
    raise CalledProcessError(retcode, cmd, output=output)
CalledProcessError: Command '['git', 'submodule', 'update', '--init']' returned non-zero exit status 1

2017-01-11 01:12:06,183 ERROR:Updating VisualEditor failed, skipping
root@extdist-01:/srv/src/extensions/VisualEditor# sudo -u extdist git submodule update --init
fatal: reference is not a tree: b3e5759654594dfcf8ee033df3f3fcb37fc3ecda
Unable to checkout 'b3e5759654594dfcf8ee033df3f3fcb37fc3ecda' in submodule path 'lib/ve'
root@extdist-01:/srv/src/extensions# rm -rf VisualEditor/

That'll trigger a fresh clone on the next run.

Jeff_i added a subscriber: Jeff_i.EditedFeb 20 2017, 4:37 PM
root@extdist-01:/srv/src/extensions/VisualEditor# sudo -u extdist git submodule update --init
fatal: reference is not a tree: b3e5759654594dfcf8ee033df3f3fcb37fc3ecda
Unable to checkout 'b3e5759654594dfcf8ee033df3f3fcb37fc3ecda' in submodule path 'lib/ve'

Hi !
Followed this VE#Download (specifying "-b REL1_23") instructions and I've got the same behaviour.
Hence core VE is not pulled.

I really don't know what to do. I really wish to give a try to this Editor ...

Is it the right place to ask or is it better on the top description's given link ?

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This is a fine place to ask, but I don't know what's broken, I'm sorry. @Legoktm, can you have a look?

Seb35 added a comment.EditedMar 18 2017, 8:48 AM

Commit rGVEDb3e575965459 is https://gerrit.wikimedia.org/r/#/c/126908/ which was probably at one time tagged with "wmf/1.23wmf22" (see also the branch in .gitreview in MW extension version REL1_23). But these tags are removed so the only reference to this commit is now "changes/08/126908/1", which is not pulled by default since it is in the Git namespace "changes" and not in "heads" or "tags".

To solve this, a commit should be referenced in a branch (e.g. REL1_23 or another name). This commit can be between 74353d9 (oldest ancestor both in master and in branch "wmf/1.23wmf22") and rGVEDb3e575965459. I’m not sure which one is better (didn’t check in details).


On the command line, I used git log --oneline --graph --decorate --all to find the commit, after I changed the .git/modules/lib/ve/config with "origin.fetch = +refs/*:refs/remotes/origin/*" + git fetch --all. Outputs from git cat-file -p can be useful also. The "oldest ancestor" command is available on https://www.mediawiki.org/wiki/Release_notes/data.

Seb35 added a comment.Mar 18 2017, 9:25 AM

In addition, I see VisualEditor/VisualEditor only has the branches REL1_25, REL1_26, REL1_27.

Specifically there is no REL1_28; it currently works because the commit referenced by MW extension VisualEditor is in the history of the master branch, but it could be worth adding a line "create or update the REL1_XX branch" in the release process.

Reedy triaged this task as Lowest priority.May 11 2017, 3:33 PM

Marking lowest as no traction/fixes incoming, and REL1_23 is EOL this month too anyway

@Reedy Will "1.23" be removed from the drop down menu at https://www.mediawiki.org/wiki/Special:ExtensionDistributor/VisualEditor at the end of this month?

Reedy added a comment.May 11 2017, 5:00 PM

@Reedy Will "1.23" be removed from the drop down menu at https://www.mediawiki.org/wiki/Special:ExtensionDistributor/VisualEditor at the end of this month?

Yes, at the latest

Commit rGVEDb3e575965459 is https://gerrit.wikimedia.org/r/#/c/126908/ which was probably at one time tagged with "wmf/1.23wmf22" (see also the branch in .gitreview in MW extension version REL1_23). But these tags are removed so the only reference to this commit is now "changes/08/126908/1", which is not pulled by default since it is in the Git namespace "changes" and not in "heads" or "tags".
To solve this, a commit should be referenced in a branch (e.g. REL1_23 or another name). This commit can be between 74353d9 (oldest ancestor both in master and in branch "wmf/1.23wmf22") and rGVEDb3e575965459. I’m not sure which one is better (didn’t check in details).

Thanks for digging. I did:

km@km-tp ~/p/g/m/e/V/l/ve> git tag T155076 b3e5759654594dfcf8ee033df3f3fcb37fc3ecda
km@km-tp ~/p/g/m/e/V/l/ve> git push --tags

At least locally this makes ExtensionDistributor create a tarball. Will check the main extdist servers in an hour.

Seb35 closed this task as Resolved.Jun 29 2017, 8:45 AM
Seb35 claimed this task.

Given MediaWiki 1.23 is deprecated now, it is no more available in downloading through the ExtensionDistributor, but it remains available with the Git installation (similarly to what is explained for other branches in Extension:VisualEditor#Download):

git clone -b REL1_23 https://gerrit.wikimedia.org/r/p/mediawiki/extensions/VisualEditor.git
cd VisualEditor
git submodule update --init

The missing commit from lib/ve is now referenced by a tag, which is downloaded by default. I just tested the procedure above and it works. Thanks @Legoktm!

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 29 2017, 8:45 AM
Jdforrester-WMF set the point value for this task to 0.Jul 2 2017, 6:22 AM